<template>
	<view class="main-container">
		<view class="start-btn" @click="start"></view>
	</view>
</template>

<script>
	export default {
		onLoad() {
		},
		mounted() {
			getApp().td_app_sdk.event({
				id: 'story-home',
				label: 'pv',
				params: {}
			});
			this.userInfo = getApp().globalData.userInfo;
			console.log('userInfo at story index === ', this.userInfo);
			getApp().globalData.storyNickname = this.userInfo.nickName;
			getApp().globalData.storyAvatar = this.userInfo.avatarUrl;
			console.log('storyNickname at story index === ', getApp().globalData.storyNickname);
			console.log('storyAvatar at story index === ', getApp().globalData.storyAvatar);
		},
		data() {
			return {
				userInfo: getApp().globalData.userInfo
			}
		},
		methods: {
			start() {
				getApp().td_app_sdk.event({
					id: 'story首页开启旅程',
					label: 'click'
				});
				uni.navigateTo({
					// url: '/pages/dreamstory/select?name=' + this.userInfo.nickName
					url: '/pages/dreamstory/select'
				})
			}
		},
		onShareAppMessage: function(res) {
			return {
				title: '穿越童梦奇缘 用童心制造快乐',
				path: 'pages/index/index',
				imageUrl: 'https://ikea-mrm.woaap.com/images/dreamstory/share.png'
			};
		},
	}
</script>

<style lang="scss" scoped>
.main-container {
	width: 100%;
	height: 100vh;
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/index-back.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	position: relative;
}
.start-btn {
	position: absolute;
	z-index: 1;
	left: calc((100vw - 458rpx) / 2 + 6rpx);
	top: calc(50vh + 396rpx);
	width: 458rpx;
	height: 98rpx;
	// background-color: rgba(0, 0, 0, .7);
}
</style>